> For the complete documentation index, see [llms.txt](https://docs.vena.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.vena.finance/integrators/contract-addresses.md).

# Contract addresses

The canonical list of Vena smart-contract addresses on Fluent L2.

Contracts source: [`github.com/helixzyra/vena-contracts`](https://github.com/helixzyra/vena-contracts)

## Network

| Field            | Value                                     |
| ---------------- | ----------------------------------------- |
| Chain name       | Fluent                                    |
| Chain ID         | 25363                                     |
| RPC endpoint     | `https://rpc.fluent.xyz`                  |
| Block explorer   | [fluentscan.xyz](https://fluentscan.xyz/) |
| Native gas token | ETH                                       |

## Core protocol contracts

| Contract                 | Address                                      |
| ------------------------ | -------------------------------------------- |
| PoolAddressesProvider    | `0xf5569e98BB2FC78Af813B65C124aa63a5b141983` |
| Pool                     | `0xD6E69976C8Aea2A4075Bc637fE8881672FF14013` |
| PoolConfigurator         | `0xbb2F64561b97d68C5c354F45840697dF0757C154` |
| ACLManager               | `0x18797a361C79fD7b6d8C62d7eDe244353a7369Bf` |
| PriceOracle              | `0xC3Be4DDD4354Cd83FcfB3bE67686387b42A353Db` |
| AaveProtocolDataProvider | `0xb6eEF266933382661827E36fE3f936396e80166E` |

## Per-market tokens

Variable-rate borrowing only at launch.

| Market | Underlying                                   | aToken                                       | variableDebtToken                            |
| ------ | -------------------------------------------- | -------------------------------------------- | -------------------------------------------- |
| WETH   | `0x927C469E58Daab257Ea60B2D8c37bEDD2a203A54` | `0x8e2Ea47F850E2F899EB02f8a69f3635c73599a3a` | `0xDc8CE3dAb4e823b4FE6951773d4af69e5fa7B92E` |
| USDnr  | `0xD48e565561416dE59DA1050ED70b8d75e8eF28f9` | `0x3Ebf3cfcCDCd96edC1C506907C17eec2BdC31008` | `0x90cd2575Ef68c29c127fE2Fe29ce840e2C689672` |
| sUSDnr | `0xFa9b3B45587f9fcdE14759121C3868C2733DCbf4` | `0x3161bF68Bc6e582D682458F8766b219E8e2821Ed` | `0xBA30804cA1Ab31bE6B4FA30F35D84D1e88c38264` |

## Further integrator surfaces

ABIs, subgraph endpoints, event references, and integration patterns are to be added in the future.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.vena.finance/integrators/contract-addresses.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
